XRANDR(__appmansuffix__)

NAME
xrandr - primitive command line interface to RandR extension

SYNOPSIS
xrandr [-help] [-display display] [-q] [-v] [--verbose] [--screen snum]
RandR version 1.2 options
[--prop] [--fb <width>x<height>] [--fbmm <width>x<height>] [--dpi <dpi>]
Per-output options
[--output <output>] [--auto] [--mode <mode>] [--preferred] [--pos <x>x<y>] [--rate <rate>] [--reflect reflection] [--rotate orientation] [--left-of <output>] [--right-of <output>] [--above <output>] [--below <output>] [--same-as <output>] [--set <property> <value>] [--off] [--crtc <crtc>] [--newmode <name> mode] [--rmmode <name>] [--addmode <output> <name>] [--delmode <output> <name>]
RandR version 1.0 and version 1.1 options
[-o orientation] [-s size] [-x] [-y]

DESCRIPTION
Xrandr is used to set the size, orientation and/or reflection of the outputs for a screen. It can also set the screen size. There are a few global options; the rest modify a particular output and follow the specification of that output on the command line.

--help
    Print out a summary of the usage and exit.

-v  Print out the RandR version reported by the X server and exit.

--verbose
    causes xrandr to be more verbose. When used with -q (or without other options), xrandr will display more information about the server state. When used along with options that reconfigure the system, progress will be reported while executing the configuration changes.

-q  When this option is present, or when no configuration changes are requested, xrandr will display the current state of the system.

-screen snum
    This option selects which screen to manipulate. Note this refers to the X screen abstraction, not the monitor (or output).

RandR version 1.2 options
These options are only available for X server supporting RandR version 1.2 or newer.

--prop
    This option causes xrandr to display the contents of properties for each output. --verbose also enables --prop.

--fb <width>x<height>
    Reconfigures the screen to the specified size. All configured monitors must fit within this size. When this option is not provided, xrandr computes the smallest screen size that will hold the set of configured outputs; this option provides a way to override that behaviour.

--fbmm <width>x<height>
    Sets the reported values for the physical size of the screen. Normally, xrandr resets the reported physical size values to keep the DPI constant. This overrides that computation.

--dpi <dpi>
    This also sets the reported physical size values of the screen, it uses the specified DPI value to compute an appropriate physical size using whatever pixel size will be set.

Per-output options

--output <output>
    Selects an output to reconfigure. Use either the name of the output or the XID.

--auto
    For connected but disabled outputs, this will enable them using their preferred mode (or, something close to 96dpi if they have no preferred mode). For disconnected but enabled outputs, this will disable them.

--mode <mode>
    This selects a mode. Use either the name or the XID for <mode>

--preferred
    This selects the same mode as --auto, but it doesn't automatically enable or disable the output.

--pos <x>x<y>
    Position the output within the screen using pixel coordinates.

--rate <rate>
    This marks a preference for refresh rates close to the specified value, when multiple modes have the same name, this will select the one with the nearest refresh rate.

--reflect reflection
    Reflection can be one of 'normal' 'x', 'y' or 'xy'. This causes the output contents to be reflected across the specified axes.

--rotate rotation
    Rotation can be one of 'normal', 'left', 'right' or 'inverted'. This causes the output contents to be rotated in the specified direction.

--left-of, --right-of, --above, --below, --same-as <another output>
    Use one of these options to position the output relative to the position of another output. This allows convenient tiling of outputs within the screen. The position is always computed relative to the new position of the other output, so it is not valid to say --output a --left-of b --output b --left-of a.

--set <property> <value>
    Sets an output property. Integer properties may be specified as a valid (see --prop) decimal or hexadecimal (with a leading 0x) value. Atom properties may be set to any of the valid atoms (see --prop). String properties may be set to any value.

--off
    Disables the output.

--crtc <crtc>
    Uses the specified crtc (either as an index in the list of CRTCs or XID). In normal usage, this option is not required as xrandr tries to make sensible choices about which crtc to use with each output. When that fails for some reason, this option can override the normal selection.

--newmode <name> mode
    New modelines can be added to the server and then associated with outputs. This option does the former. The mode is specified using the ModeLine syntax for xorg.conf: hdisp hsyncstart hsyncend htotal vdisp vsyncstart vsyncend vtotal flags. flags can be zero or more of +HSync, -HSync, +VSync, -VSync, Interlace, DoubleScan, CSync, +CSync, -CSync.

--rmmode <name>
    This removes a mode from the server if it is otherwise unused.

--addmode <output> <name>
    Add a mode to the set of valid modes for an output.

--delmode <output> <name>
    Remove a mode from the set of valid modes for an output.

RandR version 1.1 options
These options are available for X servers supporting RandR version 1.1 or older. They are still valid for newer X servers, but they don't interact sensibly with version 1.2 options on the same command line.

-s <size index> or -s <width>x<height>
    This sets the screen size, either matching by size or using the index into the list of available sizes.

-o rotation
    This specifies the orientation of the screen, and can be one of normal, inverted, left or right.

-x  Reflect across the X axis.

-y  Reflect across the Y axis.

SEE ALSO
Xrandr(3)

AUTHORS
Keith Packard, Open Source Technology Center, Intel Corporation. and Jim Gettys, Cambridge Research Laboratory, HP Labs, HP.